All of lore.kernel.org
 help / color / mirror / Atom feed
From: Thomas Huth <thuth@redhat.com>
To: qemu-devel@nongnu.org
Cc: "Fam Zheng" <fam@euphon.net>,
	qemu-block@nongnu.org, "Christophe Fergeau" <cfergeau@redhat.com>,
	"Ed Maste" <emaste@freebsd.org>, "Kevin Wolf" <kwolf@redhat.com>,
	"Max Reitz" <mreitz@redhat.com>, "Li-Wen Hsu" <lwhsu@freebsd.org>,
	"Philippe Mathieu-Daudé" <philmd@redhat.com>,
	"Wainer dos Santos Moschetta" <wainersm@redhat.com>,
	"Eric Blake" <eblake@redhat.com>,
	"Markus Armbruster" <armbru@redhat.com>,
	"Alex Bennée" <alex.bennee@linaro.org>
Subject: [Qemu-devel] [PATCH v3 1/7] tests/qemu-iotests/005: Add a sanity check for large sparse file support
Date: Thu,  2 May 2019 10:45:00 +0200	[thread overview]
Message-ID: <20190502084506.8009-2-thuth@redhat.com> (raw)
In-Reply-To: <20190502084506.8009-1-thuth@redhat.com>

"check -raw 005" fails when running on certain filesystems - these do not
support such large sparse files. Use the same check as in test 220 to
skip the test in this case.

Suggested-by: Eric Blake <eblake@redhat.com>
Reviewed-by: Eric Blake <eblake@redhat.com>
Signed-off-by: Thomas Huth <thuth@redhat.com>
---
 tests/qemu-iotests/005 | 9 +++++++++
 1 file changed, 9 insertions(+)

diff --git a/tests/qemu-iotests/005 b/tests/qemu-iotests/005
index 2fef63af88..9c7681c19b 100755
--- a/tests/qemu-iotests/005
+++ b/tests/qemu-iotests/005
@@ -55,6 +55,15 @@ if [ "$IMGPROTO" = "sheepdog" ]; then
     _notrun "image protocol $IMGPROTO does not support large image sizes"
 fi
 
+# Sanity check: For raw, we require a file system that permits the creation
+# of a HUGE (but very sparse) file. Check we can create it before continuing.
+if [ "$IMGFMT" = "raw" ]; then
+    if ! truncate --size=5T "$TEST_IMG"; then
+        _notrun "file system on $TEST_DIR does not support large enough files"
+    fi
+    rm "$TEST_IMG"
+fi
+
 echo
 echo "creating large image"
 _make_test_img 5000G
-- 
2.21.0

WARNING: multiple messages have this Message-ID (diff)
From: Thomas Huth <thuth@redhat.com>
To: qemu-devel@nongnu.org
Cc: "Fam Zheng" <fam@euphon.net>, "Kevin Wolf" <kwolf@redhat.com>,
	"Ed Maste" <emaste@freebsd.org>,
	qemu-block@nongnu.org, "Markus Armbruster" <armbru@redhat.com>,
	"Christophe Fergeau" <cfergeau@redhat.com>,
	"Max Reitz" <mreitz@redhat.com>,
	"Alex Bennée" <alex.bennee@linaro.org>,
	"Wainer dos Santos Moschetta" <wainersm@redhat.com>,
	"Philippe Mathieu-Daudé" <philmd@redhat.com>,
	"Li-Wen Hsu" <lwhsu@freebsd.org>
Subject: [Qemu-devel] [PATCH v3 1/7] tests/qemu-iotests/005: Add a sanity check for large sparse file support
Date: Thu,  2 May 2019 10:45:00 +0200	[thread overview]
Message-ID: <20190502084506.8009-2-thuth@redhat.com> (raw)
Message-ID: <20190502084500.WLmTwQOUTAxDWlr1o24lpEmJ38oKZv4pWryf17fJyls@z> (raw)
In-Reply-To: <20190502084506.8009-1-thuth@redhat.com>

"check -raw 005" fails when running on certain filesystems - these do not
support such large sparse files. Use the same check as in test 220 to
skip the test in this case.

Suggested-by: Eric Blake <eblake@redhat.com>
Reviewed-by: Eric Blake <eblake@redhat.com>
Signed-off-by: Thomas Huth <thuth@redhat.com>
---
 tests/qemu-iotests/005 | 9 +++++++++
 1 file changed, 9 insertions(+)

diff --git a/tests/qemu-iotests/005 b/tests/qemu-iotests/005
index 2fef63af88..9c7681c19b 100755
--- a/tests/qemu-iotests/005
+++ b/tests/qemu-iotests/005
@@ -55,6 +55,15 @@ if [ "$IMGPROTO" = "sheepdog" ]; then
     _notrun "image protocol $IMGPROTO does not support large image sizes"
 fi
 
+# Sanity check: For raw, we require a file system that permits the creation
+# of a HUGE (but very sparse) file. Check we can create it before continuing.
+if [ "$IMGFMT" = "raw" ]; then
+    if ! truncate --size=5T "$TEST_IMG"; then
+        _notrun "file system on $TEST_DIR does not support large enough files"
+    fi
+    rm "$TEST_IMG"
+fi
+
 echo
 echo "creating large image"
 _make_test_img 5000G
-- 
2.21.0



  reply	other threads:[~2019-05-02  8:46 UTC|newest]

Thread overview: 41+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-05-02  8:44 [Qemu-devel] [PATCH v3 0/7] tests/qemu-iotests: Run basic iotests during "make check" Thomas Huth
2019-05-02  8:44 ` Thomas Huth
2019-05-02  8:45 ` Thomas Huth [this message]
2019-05-02  8:45   ` [Qemu-devel] [PATCH v3 1/7] tests/qemu-iotests/005: Add a sanity check for large sparse file support Thomas Huth
2019-05-02 17:37   ` Alex Bennée
2019-05-02 17:37     ` Alex Bennée
2019-05-02  8:45 ` [Qemu-devel] [PATCH v3 2/7] tests/qemu-iotests/check: Pick a default machine if necessary Thomas Huth
2019-05-02  8:45   ` Thomas Huth
2019-05-02  8:45 ` [Qemu-devel] [PATCH v3 3/7] tests/qemu-iotests: Do not hard-code the path to bash Thomas Huth
2019-05-02  8:45   ` Thomas Huth
2019-05-02  8:45 ` [Qemu-devel] [PATCH v3 4/7] cirrus / travis: Add gnu-sed and bash for macOS and FreeBSD Thomas Huth
2019-05-02  8:45   ` Thomas Huth
2019-05-02  8:45 ` [Qemu-devel] [PATCH v3 5/7] tests/qemu-iotests: Remove the "_supported_os Linux" line from many tests Thomas Huth
2019-05-02  8:45   ` Thomas Huth
2019-05-02  8:45 ` [Qemu-devel] [PATCH v3 6/7] tests/qemu-iotests/group: Re-use the "auto" group for tests that can always run Thomas Huth
2019-05-02  8:45   ` Thomas Huth
2019-05-07 13:22   ` Markus Armbruster
2019-05-07 15:22     ` Thomas Huth
2019-05-07 15:50       ` Eric Blake
2019-05-08  5:47         ` Thomas Huth
2019-05-10  8:55           ` Thomas Huth
2019-05-10  9:15             ` [Qemu-devel] [PATCH v4] " Thomas Huth
2019-05-10 11:38             ` [Qemu-devel] [PATCH v3 6/7] " Markus Armbruster
2019-05-10 14:21             ` Kevin Wolf
2019-05-10 15:29               ` Markus Armbruster
2019-05-10 16:07                 ` Kevin Wolf
2019-05-08 12:46         ` Markus Armbruster
2019-05-02  8:45 ` [Qemu-devel] [PATCH v3 7/7] tests: Run the iotests during "make check" again Thomas Huth
2019-05-02  8:45   ` Thomas Huth
2019-05-03  9:53   ` Alex Bennée
2019-05-03  9:53     ` Alex Bennée
2019-05-03 10:03     ` Thomas Huth
2019-05-03 10:03       ` Thomas Huth
2019-05-09 18:08   ` Max Reitz
2019-05-10  4:29     ` Thomas Huth
2019-05-10 13:34       ` Max Reitz
2019-05-10 13:36         ` Thomas Huth
2019-05-10 13:47           ` Max Reitz
2019-05-10 16:20             ` Thomas Huth
2019-05-10 17:40               ` Max Reitz
2019-05-10 13:38         ` Max Reitz

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20190502084506.8009-2-thuth@redhat.com \
    --to=thuth@redhat.com \
    --cc=alex.bennee@linaro.org \
    --cc=armbru@redhat.com \
    --cc=cfergeau@redhat.com \
    --cc=eblake@redhat.com \
    --cc=emaste@freebsd.org \
    --cc=fam@euphon.net \
    --cc=kwolf@redhat.com \
    --cc=lwhsu@freebsd.org \
    --cc=mreitz@redhat.com \
    --cc=philmd@redhat.com \
    --cc=qemu-block@nongnu.org \
    --cc=qemu-devel@nongnu.org \
    --cc=wainersm@redhat.com \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.